package com.ruoyi.sy.service;

import java.util.List;
import com.ruoyi.sy.domain.SyMajorOverview;

/**
 * 三级专业概况Service接口
 * 
 * @author mingxue
 * @date 2022-04-13
 */
public interface ISyMajorOverviewService 
{
    /**
     * 查询三级专业概况
     * 
     * @param id 三级专业概况ID
     * @return 三级专业概况
     */
    public SyMajorOverview selectSyMajorOverviewById(Long id);
    public SyMajorOverview selectSyMajorOverviewByCode(String examType, String code);

    public List<SyMajorOverview> selectSyMajorOverviewByCodes(String examType, List<String> codes);

    /**
     * 查询三级专业概况列表
     * 
     * @param syMajorOverview 三级专业概况
     * @return 三级专业概况集合
     */
    public List<SyMajorOverview> selectSyMajorOverviewList(SyMajorOverview syMajorOverview);

    /**
     * 新增三级专业概况
     * 
     * @param syMajorOverview 三级专业概况
     * @return 结果
     */
    public int insertSyMajorOverview(SyMajorOverview syMajorOverview);

    /**
     * 修改三级专业概况
     * 
     * @param syMajorOverview 三级专业概况
     * @return 结果
     */
    public int updateSyMajorOverview(SyMajorOverview syMajorOverview);

    /**
     * 批量删除三级专业概况
     * 
     * @param ids 需要删除的三级专业概况ID
     * @return 结果
     */
    public int deleteSyMajorOverviewByIds(Long[] ids);

    /**
     * 删除三级专业概况信息
     * 
     * @param id 三级专业概况ID
     * @return 结果
     */
    public int deleteSyMajorOverviewById(Long id);
}
